# Scene Class Reference

[Blender Index] [Blender Hierarchy]

Blender scenes can be seen in the OOPS window as green rectangles More...

`#include <scene.h>`

Inherits: Blender

## Public Members

- Scene ()
- ~Scene ()
- Scene (const char* name)
- PyObject* addObject (PyObject* object)
- PyObject* getCurrentCamera ()
- char* name
- PyObject* objects

## Detailed Description

Blender scenes can be seen in the OOPS window as green rectangles. A scene has a lot of objects connected to it.

## Scene(const char* name)

A Blender scene has always a unique name. The name you give as an argument is only a proposal for the real name. Blender will check if this name is already used and rename the scene if necessary.

## PyObject* addObject(PyObject* object)

This function is used by connect(...) to make a link between an existing object and a existing scene. I guess it should not be used standalone right now.

## PyObject* getCurrentCamera()

This returns the current camera for this scene.

## char* name

All rectangles you can see in the OOPS window are instances of classes with an unique name for all instances of this class. Nevertheless the name of two instances of different classes can be the same.

## PyObject* objects

The variable objects holds a list of names for usage within Python. The names can be used to get the real objects by calling the function getObject(name).

- Author: Jan Walter
- Documentation generated by jan@nvidea on Mon Mar 5 16:57:27 CET 2001

K doc